UPDATE sscSetting SET smallValue='3.5.4' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxVerifyAddressAfterAddresses','AvaTax Validate Address After Address Submitted?','Validate the delivery address with Avatax immeidately after the customer submits their address during checkout?','AVATAX', 'booleanValue',0,NULL,NULL,NULL);

UPDATE sscSetting SET name = 'AvaTax Validate Address Before Taxes', description = 'Validate the delivery address with Avatax immediately before processing tax?'
WHERE name = 'AvaTax Verify Address';

INSERT INTO sscRole(code, name, description) VALUES('productSettingView', 'Product Setting Viewer', 'Allows access to view Product Settings.');
INSERT INTO sscRole(code, name, description) VALUES('productSettingEdit', 'Product Setting Editor', 'Allows access to view, edit, and delete Product Settings.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('forwardAfterLoginWhitelistedURLs','Forward After Login Whitelisted URLs','List of comma-separated whitelisted URLs which the user may be forwarded to after login. If the URL is not present here the user may be redirected instead of forwarded.','ADVANCEDSYSTEM','textValue',0,NULL,NULL,'');
