<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %><ssc:insert attribute="beforeHTML"/>
<%-- Used for the welcome page and contact page - display panels on right side. --%>
<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="lt-ie10 lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="ie7 lt-ie10 lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="ie8 lt-ie10 lt-ie9"> <![endif]-->
<!--[if IE 9]>         <html class="ie9 lt-ie10"> <![endif]-->
<!--[if gt IE 9]><!--> <html> <!--<![endif]-->
<!-- Start ${pageScope.sscCurrentPage} -->
	<head>
		<ssc:insert page="/WEB-INF/layouts/default-html5/core/htmlHead.jsp"/>
	</head>
	<body id="${pageTitleShort}Page">
		<a id="top" class="sr-only" href="#content">Skip to content</a>
		<ssc:insert page="/WEB-INF/layouts/default-html5/core/header.jsp"/>
		<div class="mainContainer container">
			<div class="row">
				<div class="col-xs-12 col-md-9">
					<main id="content" role="main">
						<ssc:insert attribute="subMenu"/>
						<ssc:insert attribute="error"/>
						<ssc:insert attribute="message"/>
						<div id="${pageTitleShort}Content" class="innerContent">
							<ssc:insert attribute="body"/>
						</div>
					</main>
				</div>
				<div class="col-xs-12 col-md-3">
					<aside id="panels" class="panels">
						<ssc:insert page="/WEB-INF/layouts/default-html5/core/panels.jsp"/>
					</aside>
				</div>
			</div>
		</div>
		<ssc:insert page="/WEB-INF/layouts/default-html5/core/footer.jsp"/>
		<ssc:insert page="/WEB-INF/layouts/default-html5/core/tracking.jsp"/>
		<ssc:insert page="/WEB-INF/layouts/default-html5/core/bottom.jsp"/>
	</body>
</html>
<ssc:insert attribute="afterHTML"/>
<!-- End ${pageScope.sscCurrentPage} -->
