<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<script type="text/javascript">
(function($) {
	
	$.SSCAuthorizeNetAcceptJSHelper = {
		init : function() {
		},
		
		// Used when called from checkout
		interceptRequestWithAcceptJS : function(event) {
			
			// To support paying with an existing payment profile, pass the request on to the server if a paymentProfileID is being submitted
			var transactionForm = document.getElementById("authorizeNetAIMForm");
			if (transactionForm.paymentProfileID && transactionForm.paymentProfileID.value) {
			    
			    // Mask the card number and security code so they are not sent to the server
			    var ccNumber = document.getElementById("decryptedNumber");
				if (ccNumber && ccNumber.value.length > 3) {
					ccNumber.value = 'XXXXXXXXXXXX' + ccNumber.value.substring(ccNumber.value.length - 4 , ccNumber.value.length);
				}
				if (document.getElementById("creditCardSecurityCode")) {
					document.getElementById("creditCardSecurityCode").value = '';
				}
				if (document.getElementById("creditCardExpirationYear")) {
					document.getElementById("creditCardExpirationYear").value = '';
				}
				if (document.getElementById("creditCardExpirationMonth")) {
					document.getElementById("creditCardExpirationMonth").value = '';
				}
			    
				// Submit the form to the server
	            <c:choose>
	            	<c:when test="${settings.map.useAjaxOnePageCheckout eq '1'}">
	            		$.SSCOnePageCheckout.submitProcessPayment(event);
	            	</c:when>
	            	<c:otherwise>
	            		transactionForm.action = "<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>";
	                	transactionForm.method = "POST";
	    		    	transactionForm.submit();
	            	</c:otherwise>
	            </c:choose>
				
			} else {
			
			    var secureData = {}; authData = {}; cardData = {};
	
			    // Extract the card number, expiration date, and card code.
			    cardData.cardNumber = document.getElementById("decryptedNumber").value;
			    cardData.month = document.getElementById("creditCardExpirationMonth").value;
			    cardData.year = document.getElementById("creditCardExpirationYear").value;
			    cardData.cardCode = document.getElementById("creditCardSecurityCode").value;
			    secureData.cardData = cardData;
	
			    // The Authorize.Net Client Key is used in place of the traditional Transaction Key. The Transaction Key
			    // is a shared secret and must never be exposed. The Client Key is a public key suitable for use where
			    // someone outside the merchant might see it.
			    authData.clientKey = "${settings.map.authorizeNetAcceptJSPublicClientKey}";
			    authData.apiLoginID = "${settings.map.authorizeNetLoginID}";
			    secureData.authData = authData;
	
			    // Pass the card number and expiration date to Accept.js for submission to Authorize.Net.
			    Accept.dispatchData(secureData, responseHandler);
			    return false; // Don't submit the form
	
			    // Process the response from Authorize.Net to retrieve the two elements of the payment nonce.
			    function responseHandler(response) {
			        if (response.messages.resultCode === "Error") {
			        	
				        	// Format error messages using the same HTML as ajax/error.jsp
				        	var errorMessageHtml = "<div id='ajaxErrors' class='ajaxMessages'>";
			            for (var i = 0; i < response.messages.message.length; i++) {
			                errorMessageHtml = errorMessageHtml + "<span class='ajaxError'>" + response.messages.message[i].text + "</span><br/>";
			            }
			            errorMessageHtml = errorMessageHtml + "</div>";
			            
			            // Add the error to the page, either for one-page checkout or regular checkout
			            <c:choose>
			            	<c:when test="${settings.map.useAjaxOnePageCheckout eq '1'}">
			    				$.SSCOnePageCheckout.showAsNotLoading('.onePageCheckout-payment-loading');
			    				$(".onePageCheckout-payment-errors").html(errorMessageHtml);
			    				$.SSCOnePageCheckout.scrollToElement($(".onePageCheckout-payment-errors"));
			            	</c:when>
			            	<c:otherwise>
		    					$(".authorizeNetAIM-payment-errors").html(errorMessageHtml);
			            	</c:otherwise>
			            </c:choose>
			        } else {
			        	
			        	// Successful response - put the nonce in the form and submit it
					    var transactionForm = document.getElementById("authorizeNetAIMForm");
					    dataDesc = document.createElement("input")
					    dataDesc.hidden = true;
					    dataDesc.value = response.opaqueData.dataDescriptor;
					    dataDesc.name = "acceptJsDataDesc";
					    transactionForm.appendChild(dataDesc);
					    dataValue = document.createElement("input")
					    dataValue.hidden = true;
					    dataValue.value = response.opaqueData.dataValue;
					    dataValue.name = "acceptJsDataValue";
					    transactionForm.appendChild(dataValue);
				    <c:if test="${!empty user and !empty user.order and !empty user.order.total}">
					    dataValue = document.createElement("input")
					    dataValue.hidden = true;
					    dataValue.value = '<c:out value="${user.order.total}"/>';
					    dataValue.name = "acceptJsCheckTotal";
					    transactionForm.appendChild(dataValue);
				    	</c:if>
					    
					    // Mask the card number and security code so they are not sent to the server
					    var ccNumber = document.getElementById("decryptedNumber");
						if (ccNumber && ccNumber.value.length > 3) {
							ccNumber.value = 'XXXXXXXXXXXX' + ccNumber.value.substring(ccNumber.value.length - 4 , ccNumber.value.length);
						}
						if (document.getElementById("creditCardSecurityCode")) {
							document.getElementById("creditCardSecurityCode").value = '';
						}
						if (document.getElementById("creditCardExpirationYear")) {
							document.getElementById("creditCardExpirationYear").value = '';
						}
						if (document.getElementById("creditCardExpirationMonth")) {
							document.getElementById("creditCardExpirationMonth").value = '';
						}
					    
						// Submit the form to the server
			            <c:choose>
			            	<c:when test="${settings.map.useAjaxOnePageCheckout eq '1'}">
			            		$.SSCOnePageCheckout.submitProcessPayment(event);
			            	</c:when>
			            	<c:otherwise>
			            		transactionForm.action = "<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutPayment.do")%>";
			                	transactionForm.method = "POST";
			    		    	transactionForm.submit();
			            	</c:otherwise>
			            </c:choose>
			        }
			    }
			}
		},

		// Used when called from the Manage Payment Profiles account screen. See authorizeNetManageProfilesServerToServer.js.
		interceptProfileRequestWithAcceptJS : function(event, addingAProfile) {
		    var secureData = {}; authData = {}; cardData = {};

		    // Extract the card number, expiration date, and card code.
		    cardData.cardNumber = document.getElementById("decryptedNumber").value;
		    cardData.month = document.getElementById("creditCardExpirationMonth").value;
		    cardData.year = document.getElementById("creditCardExpirationYear").value;
		    cardData.cardCode = document.getElementById("creditCardSecurityCode").value;
		    secureData.cardData = cardData;

		    // The Authorize.Net Client Key is used in place of the traditional Transaction Key. The Transaction Key
		    // is a shared secret and must never be exposed. The Client Key is a public key suitable for use where
		    // someone outside the merchant might see it.
		    authData.clientKey = "${settings.map.authorizeNetAcceptJSPublicClientKey}";
		    authData.apiLoginID = "${settings.map.authorizeNetLoginID}";
		    secureData.authData = authData;

		    // Pass the card number and expiration date to Accept.js for submission to Authorize.Net.
		    Accept.dispatchData(secureData, profileResponseHandler);
		    return false; // Don't submit the form
			
		    // Process the response from Authorize.Net to retrieve the two elements of the payment nonce.
		    function profileResponseHandler(response) {
		        if (response.messages.resultCode === "Error") {
		        	
			        	// Format error messages using the same HTML as ajax/error.jsp
			        	var errorMessageHtml = "<div id='ajaxErrors' class='ajaxMessages'>";
		            for (var i = 0; i < response.messages.message.length; i++) {
		                errorMessageHtml = errorMessageHtml + "<span class='ajaxError'>" + response.messages.message[i].text + "</span><br/>";
		            }
		            errorMessageHtml = errorMessageHtml + "</div>";
		            
		            // Add the error to the page, either for editing or adding a profile
		            if (addingAProfile && $.SSCManageProfilesServerToServer.popupAddMessages) {
			    			$.SSCManageProfilesServerToServer.popupAddMessages.removeClass('loadingBar');
			    			$.SSCManageProfilesServerToServer.popupAddMessages.html(errorMessageHtml);
			    			$('#billingAddressAddForm').fadeIn();
		            } else if ($.SSCManageProfilesServerToServer.popupMessages) {
			    			$.SSCManageProfilesServerToServer.popupMessages.removeClass('loadingBar');
			    			$.SSCManageProfilesServerToServer.popupMessages.html(errorMessageHtml);
			    			$('#billingAddressEditForm').fadeIn();
		            }  
		        } else {
		        	
		        		// Successful response - put the nonce in the form and submit it
				    var transactionForm = document.getElementById("billingAddressEditForm");
		            if (addingAProfile) {
		            		transactionForm = document.getElementById("billingAddressAddForm");
		            }
				    dataDesc = document.createElement("input")
				    dataDesc.hidden = true;
				    dataDesc.value = response.opaqueData.dataDescriptor;
				    dataDesc.name = "acceptJsDataDesc";
				    transactionForm.appendChild(dataDesc);
				    dataValue = document.createElement("input")
				    dataValue.hidden = true;
				    dataValue.value = response.opaqueData.dataValue;
				    dataValue.name = "acceptJsDataValue";
				    transactionForm.appendChild(dataValue);
				    <c:if test="${!empty user and !empty user.order and !empty user.order.total}">
					    dataValue = document.createElement("input")
					    dataValue.hidden = true;
					    dataValue.value = '<c:out value="${user.order.total}"/>';
					    dataValue.name = "acceptJsCheckTotal";
					    transactionForm.appendChild(dataValue);
				    	</c:if>
				    
				    // Mask the card number and security code so they are not sent to the server
				    var ccNumber = document.getElementById("decryptedNumber");
					if (ccNumber && ccNumber.value.length > 3) {
						ccNumber.value = 'XXXXXXXXXXXX' + ccNumber.value.substring(ccNumber.value.length - 4 , ccNumber.value.length);
					}
					if (document.getElementById("creditCardSecurityCode")) {
						document.getElementById("creditCardSecurityCode").value = '';
					}
					if (document.getElementById("creditCardExpirationYear")) {
						document.getElementById("creditCardExpirationYear").value = '';
					}
					if (document.getElementById("creditCardExpirationMonth")) {
						document.getElementById("creditCardExpirationMonth").value = '';
					}
				    
					// Submit the form to the server
		            if (addingAProfile) {
						$.ajax( {
							type : "POST",
							url : "AuthorizeNetAddProfileAjax.do",
							data : $('#billingAddressAddForm').serialize(),
							dataType : "html",
							success : $.SSCManageProfilesServerToServer.submitSuccess,
							error : $.SSCManageProfilesServerToServer.submitError
						});
		            } else {
						$.ajax( {
							type : "POST",
							url : "AuthorizeNetEditProfileAjax.do",
							data : $('#billingAddressEditForm').serialize(),
							dataType : "html",
							success : $.SSCManageProfilesServerToServer.editSuccess,
							error : $.SSCManageProfilesServerToServer.editError
						});
		            }
		        }
		    }
		}
	};
	
	$(document).ready(function() {
		$.SSCAuthorizeNetAcceptJSHelper.init();	
	});
})(jQuery);
</script>
<!-- End ${pageScope.sscCurrentPage} -->
