<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />
<div id="basicPaymentForm" class="paymentInformation panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="paymentForms.ccHeading" bundle="/order" /></h3>
	</div>
	<div class="panel-body">
		
		<c:if test="${displaySavePaymentInformationOption and !empty requestScope.paymentProfiles}">
			<ssc:insert page="/WEB-INF/layouts/default/payment/authorizeNetAPIProfilesList.jsp" />
		</c:if>
		
		<div class="form-group">
			<label for="creditCardName" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccName" bundle="/order" /></label>
			<div class="col-sm-9">
				<input type="text" id="creditCardName" class="textbox form-control" name="creditCardName" value="${requestScope[thisForm].creditCardName}" autocomplete="cc-name" />
			</div>
		</div>

		<c:if test="${settings.map.deriveCreditCardTypeFromNumber eq '0'}">
			<div class="form-group">
				<label for="creditCardType" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccType" bundle="/order" /></label>
				<div class="col-sm-9">
					<select class="selectbox form-control" id="creditCardType" name="creditCardType" autocomplete="cc-type">
						<option value="VISA" <c:if test="${requestScope[thisForm].creditCardType eq 'VISA'}">selected="selected"</c:if>>Visa</option>
						<option value="MASTERCARD" <c:if test="${requestScope[thisForm].creditCardType eq 'MASTERCARD'}">selected="selected"</c:if>>MasterCard</option>
						<option value="AMEX" <c:if test="${requestScope[thisForm].creditCardType eq 'AMEX'}">selected="selected"</c:if>>American Express</option>
						<option value="DISCOVER" <c:if test="${requestScope[thisForm].creditCardType eq 'DISCOVER'}">selected="selected"</c:if>>Discover</option>
					</select>
				</div>
			</div>
		</c:if>

		<div class="form-group">
			<label for="cardNumber" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccNumber" bundle="/order" /></label>
			<div class="col-sm-9">
				<input type="text" class="textbox form-control" id="cardNumber" name="decryptedNumber" maxlength="16" autocomplete="cc-number" value="" />
			</div>
		</div>
		<div class="form-group">
			<label for="creditCardSecurityCode" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccSecurityCode" bundle="/order" /></label>
			<div class="col-sm-9">
				<input type="text" class="textbox form-control" id="creditCardSecurityCode" name="creditCardSecurityCode" value="" size="4" maxlength="4" autocomplete="cc-csc" />
				(<a href="${customerURL}/images/creditCardCodeWhatsThis.gif" onclick="window.open('${customerURL}/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');return(false);"><bean:message key="paymentForms.ccWhatsThis" bundle="/order" /></a>)
			</div>
		</div>

		<div class="form-group">
			<label for="creditCardExpirationMonth" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccExpirationMonth" bundle="/order" /></label>
			<div class="col-sm-9">
				<select class="selectbox form-control" id="creditCardExpirationMonth" name="creditCardExpirationMonth" autocomplete="cc-exp-month">
					<option value="01" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '01'}">selected="selected"</c:if>>1</option>
					<option value="02" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '02'}">selected="selected"</c:if>>2</option>
					<option value="03" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '03'}">selected="selected"</c:if>>3</option>
					<option value="04" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '04'}">selected="selected"</c:if>>4</option>
					<option value="05" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '05'}">selected="selected"</c:if>>5</option>
					<option value="06" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '06'}">selected="selected"</c:if>>6</option>
					<option value="07" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '07'}">selected="selected"</c:if>>7</option>
					<option value="08" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '08'}">selected="selected"</c:if>>8</option>
					<option value="09" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '09'}">selected="selected"</c:if>>9</option>
					<option value="10" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '10'}">selected="selected"</c:if>>10</option>
					<option value="11" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '11'}">selected="selected"</c:if>>11</option>
					<option value="12" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '12'}">selected="selected"</c:if>>12</option>
				</select>
			</div>
		</div>
		<div class="form-group">
			<label for="creditCardExpirationYear" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
			<div class="col-sm-9">
				<select class="selectbox selectboxYear form-control" id="creditCardExpirationYear" name="creditCardExpirationYear" autocomplete="cc-exp-year">
					<option value="${thisYear}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear}">selected="selected"</c:if>>${thisYear}</option>
					<option value="${thisYear + 1}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 1}">selected="selected"</c:if>>${thisYear + 1}</option>
					<option value="${thisYear + 2}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 2}">selected="selected"</c:if>>${thisYear + 2}</option>
					<option value="${thisYear + 3}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 3}">selected="selected"</c:if>>${thisYear + 3}</option>
					<option value="${thisYear + 4}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 4}">selected="selected"</c:if>>${thisYear + 4}</option>
					<option value="${thisYear + 5}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 5}">selected="selected"</c:if>>${thisYear + 5}</option>
					<option value="${thisYear + 6}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 6}">selected="selected"</c:if>>${thisYear + 6}</option>
					<option value="${thisYear + 7}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 7}">selected="selected"</c:if>>${thisYear + 7}</option>
					<option value="${thisYear + 8}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 8}">selected="selected"</c:if>>${thisYear + 8}</option>
					<option value="${thisYear + 9}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 9}">selected="selected"</c:if>>${thisYear + 9}</option>
				</select>
			</div>
		</div>
		
		<c:if test="${displaySavePaymentInformationOption}">
			<ssc:insert page="/WEB-INF/layouts/default/payment/authorizeNetAPISavePaymentOption.jsp" />
		</c:if>

		<%--Captcha Verification--%>
		<c:choose>
			<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1' and settings.map.useLegacyCaptchaMethod eq '1'}">
			<br><br>
			<div id="challengeImageAndInstructions">
				<img class="challengeImage img-responsive" alt="Challenge Image" src="${secureURL}/Jcaptcha.do"/><br>
				<bean:message key="security.textFromImageInstructions" />
			</div>
			<br><br>
			<label for="textFromImage" class="requiredLabel col-sm-3"><bean:message key="security.textFromImage" /></label>
			<div class="col-sm-9">
				<input type="text" id="textFromImage" name="textFromImage" class="textbox form-control"/>
			</div>
			</c:when>
			<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1'}">
				<script src="https://www.google.com/recaptcha/api.js" async defer></script>
				<div class="g-recaptcha" data-sitekey="${settings.map.recaptchaSiteKey}"></div><br />
			</c:when>
		</c:choose>

		<logic:notPresent name="suppressSubmitButton">
			<div id="basicPaymentButton" class="paymentButton text-center">
				<c:if test="${displayCheckoutConfirm eq '0'}">
					<input id="basicPaymentSubmit" type="submit" class="submitOnceButton btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
				</c:if>
				<c:if test="${displayCheckoutConfirm eq '1'}">
					<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
				</c:if>
			</div>
		</logic:notPresent>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
