package com.softslate.commerce.customer.product;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * Struts form class that correspondes to the product list page. Used for
 * requests to "/ProductList.do".
 * <p>
 * The <code>validate</code> method of this class does nothing, since no
 * validations are needed.
 * 
 * @author David Tobey
 * 
 * @see com.softslate.commerce.customer.product.ProductListAction
 */
public class ProductListForm extends BaseDynaForm {

	private static final long serialVersionUID = 3546360613266863672L;

	static Log log = LogFactory.getLog(ProductListForm.class);

	// No validations needed.
}
