package com.softslate.commerce.daos.email;

import com.softslate.commerce.businessobjects.email.EmailOptOut;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscEmailOptOut</code> table of the
 * database.
 * 
 */
public interface EmailOptOutDAO extends DAOInterface {
	abstract EmailOptOut getEmailOptOut();

	abstract void setEmailOptOut(EmailOptOut emailOptOut);

	abstract void loadEmailOptOutFromID() throws Exception;

	abstract void insertEmailOptOut() throws Exception;

	abstract void insertEmailOptOut(boolean commit) throws Exception;

	abstract void updateEmailOptOut() throws Exception;

	abstract void updateEmailOptOut(boolean commit) throws Exception;

	abstract void deleteEmailOptOut() throws Exception;

	abstract void deleteEmailOptOut(boolean commit) throws Exception;
}
