UPDATE sscSetting SET smallValue='3.1.1' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('seoContentMarker','SEO Content Marker','The marker used as a subdirectory when generating the search-engine friendly link to a Content Page Screen (e.g. the "content" in "/context/do/content/pagename" where pagename is the category code of the content page).','SEO','smallValue',NULL,'content',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('possibleCustomerStatuses','Possible Customer Statuses','A comma-separated list of customer statuses that will populate drop downs in the admin area.','ADVANCEDSYSTEM','textValue',NULL,NULL,NULL,'Registered, Unapproved, Approved, Member, Premium Member, Bronze, Silver, Gold, Platinum');

UPDATE sscSetting SET valueType = 'textValue', textValue = mediumValue WHERE code = 'possibleOrderStatuses' and valueType = 'mediumValue';

UPDATE sscSetting SET mediumValue='' WHERE code = 'UPS_password' AND mediumValue = 'password';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('footerLinks','Footer Links','The links currently displayed across the bottom of all pages in the footer.','HEADERANDSIDEPANEL','textValue',NULL,NULL,NULL,'[SAMEASHEADER]');

UPDATE sscSetting SET name = 'Navigation Options' WHERE code = 'navBarOptions';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('headerCategoriesAndPages','Categories and Content Pages in Header','A comma-separated list of category codes (or content page codes). The categories and content pages identified will appear as links in the header on all pages of the store.','HEADERANDSIDEPANEL','textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('footerCategoriesAndPages','Categories and Content Pages in Footer','A comma-separated list of category codes (or content page codes). The categories and content pages identified will appear as links in the footer on all pages of the store.','HEADERANDSIDEPANEL','textValue',NULL,NULL,NULL,'');
