// ////////////////////////////////////////////////////////////////////////////////////////
// The remove coupon tool is triggered from the order overview screen, namely orderOverview.jsp. 

YAHOO.namespace("removeCoupon");

YAHOO.removeCoupon.removeCoupon = function(couponCode) {
	YAHOO.removeCoupon.submitProcessRemoveCoupon(couponCode);
}
	
// Shared Ajax connection methods
YAHOO.removeCoupon.failure = function(o) {
	YAHOO.removeCoupon.removeCouponModule.setBody(o.status + ': ' + o.statusText);
}
YAHOO.removeCoupon.removeCouponArgs = ['foo','bar'];

// Only step - removing the discount
YAHOO.removeCoupon.processRemoveCouponSuccess = function(o) {

	if (o.responseText.indexOf("id=\"loginFormGuts\"") != -1) {
	
		// Session timeout
		YAHOO.administratorCore.sessionTimeout();
	} else if (o.responseText.indexOf("id=\"orderOverview\"") != -1) {

		// Replace the body of the page
		YAHOO.util.Dom.get("bodyContent").innerHTML = o.responseText;
		
		// Pop the browser up to the messages if there are any
		if (o.responseText.indexOf("class=\"ajaxMessages\"") != -1) {
			YAHOO.administratorCore.focusOnMessages();
		}
		
		// Initialize so the Edit link works again
		YAHOO.administratorCore.initializeOrderOverviewTools();
	} else {

		// Error 
		YAHOO.removeCoupon.removeCouponModule.setBody(o.responseText);
	}
};
YAHOO.removeCoupon.processRemoveCouponCallback = {
  success:YAHOO.removeCoupon.processRemoveCouponSuccess,
  failure:YAHOO.removeCoupon.failure,
  argument:YAHOO.removeCoupon.removeCouponArgs
};
YAHOO.removeCoupon.submitProcessRemoveCoupon = function(orderDiscountID) {
	YAHOO.removeCoupon.removeCouponModule = new YAHOO.widget.Module("removeCouponModule-" + orderDiscountID);
	YAHOO.removeCoupon.removeCouponModule.setBody('<img src="yui/assets/skins/sam/wait.gif"/>');
	YAHOO.util.Connect.setForm(YAHOO.util.Dom.get("removeCouponForm-" + orderDiscountID));
	YAHOO.addItem.transaction = YAHOO.util.Connect.asyncRequest('POST', 
		'RemoveCouponProcess.do', 
		YAHOO.removeCoupon.processRemoveCouponCallback);
}
