<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>

<h5><bean:message key="paymentForms.ccHeading" bundle="/order" /></h5>

<c:if test="${settings.map.deriveCreditCardTypeFromNumber eq '0'}">
	<div class="form-group">
		<label for="creditCardType" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccType" bundle="/order" /></label>
		<div class="col-sm-8">
			<select class="form-control" id="creditCardType" name="creditCardType" autocomplete="cc-type">
				<option value="VISA" <c:if test="${requestScope[thisForm].creditCardType eq 'VISA'}">selected="selected"</c:if>>Visa</option>
				<option value="MASTERCARD" <c:if test="${requestScope[thisForm].creditCardType eq 'MASTERCARD'}">selected="selected"</c:if>>MasterCard</option>
				<option value="AMEX" <c:if test="${requestScope[thisForm].creditCardType eq 'AMEX'}">selected="selected"</c:if>>American Express</option>
				<option value="DISCOVER" <c:if test="${requestScope[thisForm].creditCardType eq 'DISCOVER'}">selected="selected"</c:if>>Discover</option>
			</select>
		</div>
	</div>
</c:if>

<div class="form-group">
	<label for="decryptedNumber" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccNumber" bundle="/order" /></label>
	<div class="col-sm-8">
		<input type="text" class="textbox form-control" id="decryptedNumber" name="decryptedNumber" maxlength="16" autocomplete="cc-number" value="" />
	</div>
</div>

<div class="form-group">
	<label for="creditCardSecurityCode" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccSecurityCode" bundle="/order" /></label>
	<div class="col-sm-8">
		<input type="text" class="textbox form-control" id="creditCardSecurityCode" name="creditCardSecurityCode" value="" size="4" maxlength="4" autocomplete="cc-csc" />
		(<a href="${customerURL}/images/creditCardCodeWhatsThis.gif" onclick="window.open('${customerURL}/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');return(false);"><bean:message key="paymentForms.ccWhatsThis" bundle="/order" /></a>)
	</div>
</div>

<div class="form-group">
	<label for="creditCardExpirationMonth" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccExpirationMonth" bundle="/order" /></label>
	<div class="col-sm-8">
		<select class="form-control" id="creditCardExpirationMonth" name="creditCardExpirationMonth" autocomplete="cc-exp-month">
			<option value="01" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '01'}">selected="selected"</c:if>>1</option>
			<option value="02" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '02'}">selected="selected"</c:if>>2</option>
			<option value="03" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '03'}">selected="selected"</c:if>>3</option>
			<option value="04" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '04'}">selected="selected"</c:if>>4</option>
			<option value="05" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '05'}">selected="selected"</c:if>>5</option>
			<option value="06" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '06'}">selected="selected"</c:if>>6</option>
			<option value="07" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '07'}">selected="selected"</c:if>>7</option>
			<option value="08" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '08'}">selected="selected"</c:if>>8</option>
			<option value="09" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '09'}">selected="selected"</c:if>>9</option>
			<option value="10" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '10'}">selected="selected"</c:if>>10</option>
			<option value="11" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '11'}">selected="selected"</c:if>>11</option>
			<option value="12" <c:if test="${requestScope[thisForm].creditCardExpirationMonth eq '12'}">selected="selected"</c:if>>12</option>
		</select>
	</div>
</div>

<div class="form-group">
	<label for="creditCardExpirationYear" class="requiredLabel col-sm-4"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
	<div class="col-sm-8">
		<select class="form-control" id="creditCardExpirationYear" name="creditCardExpirationYear" autocomplete="cc-exp-year">
			<option value="${thisYear}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear}">selected="selected"</c:if>>${thisYear}</option>
			<option value="${thisYear + 1}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 1}">selected="selected"</c:if>>${thisYear + 1}</option>
			<option value="${thisYear + 2}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 2}">selected="selected"</c:if>>${thisYear + 2}</option>
			<option value="${thisYear + 3}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 3}">selected="selected"</c:if>>${thisYear + 3}</option>
			<option value="${thisYear + 4}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 4}">selected="selected"</c:if>>${thisYear + 4}</option>
			<option value="${thisYear + 5}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 5}">selected="selected"</c:if>>${thisYear + 5}</option>
			<option value="${thisYear + 6}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 6}">selected="selected"</c:if>>${thisYear + 6}</option>
			<option value="${thisYear + 7}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 7}">selected="selected"</c:if>>${thisYear + 7}</option>
			<option value="${thisYear + 8}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 8}">selected="selected"</c:if>>${thisYear + 8}</option>
			<option value="${thisYear + 9}" <c:if test="${requestScope[thisForm].creditCardExpirationYear eq thisYear + 9}">selected="selected"</c:if>>${thisYear + 9}</option>
		</select>
	</div>
</div>

<div class="form-group">

	<%--Captcha Verification--%>
	<c:choose>
		<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1' and settings.map.useLegacyCaptchaMethod eq '1'}">
			<br /><br />
			<div id="challengeImageAndInstructions">
				<img class="challengeImage img-responsive" alt="Challenge Image" src="${secureURL}/Jcaptcha.do"/><br/>
				<bean:message key="security.textFromImageInstructions" />
			</div>
			<br /><br />
			<label for="textFromImage" class="requiredLabel"><bean:message key="security.textFromImage" /></label>
			<input type="text" id="textFromImage" name="textFromImage" class="textbox"/>
			<br /><br />
		</c:when>
		<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1'}">
			<script src="https://www.google.com/recaptcha/api.js" async defer></script>
			<div class="g-recaptcha" data-sitekey="${settings.map.recaptchaSiteKey}"></div><br />
		</c:when>
	</c:choose>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
