<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<p class="instructions"><bean:message key="customer.cimManageProfilesInstructions" bundle="/customer"/></p>
<div id="cimProfileLayout">

	<%-- Display the existing payment profiles above the AcceptHostedIframe. --%>
	<c:if test="${settings.map.authorizeNetIntegrationMethod eq 'AcceptHostedIframe'}">
		<c:choose>
			<c:when test="${empty requestScope.paymentProfiles}">
				<p class="instructions"><bean:message key="customer.cimNoPaymentMethods" bundle="/customer"/></p>
			</c:when>
			<c:otherwise>
				<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetManageProfilesList.jsp"/>
			</c:otherwise>
		</c:choose>
		<a name="cimAboveHostedFormA"></a>
	</c:if>
	
	<div class="col-xs-12 col-md-6" style="float: none; margin: auto;">
		<c:choose>
			<c:when test="${settings.map.authorizeNetIntegrationMethod eq 'AcceptHostedIframe'}">
			
				<%-- Display the form to add/edit profiles. --%>
				<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetAPIEmbeddedIFrame.jsp"/>
			</c:when>
			<c:otherwise>
			
				<%-- If using ServerToServer or AcceptJS, the profiles and forms are loading by Ajax. --%>
				<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetManageProfilesServerToServer.jsp"/>
			</c:otherwise>
		</c:choose>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->

