package com.softslate.commerce.administrator.core;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseAction;

/**
 * 
 * @author David Tobey
 */
public class CreateKeysFormAction extends BaseAction {

	static Log log = LogFactory.getLog(CreateKeysFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home",
				"Create Encryption Key" });
		request.setAttribute("breadcrumbs", bcs);
		
		return mapping.findForward("success");
	}
}
