package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseDynaForm;


/**
 * @author David Tobey
 * 
 */
public class PayflowProTransAuthForm extends BaseDynaForm {

	private static final long serialVersionUID = 3618134537599530551L;

	static Log log = LogFactory.getLog(PayflowProTransAuthForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		String[] payflowProCountries1Array = (String[]) get("payflowProCountries1Array");
		String payflowProCountries1 = null;
		for (int i = 0; i < payflowProCountries1Array.length; i++) {
			if (i != 0) {
				payflowProCountries1 = payflowProCountries1 + "," + payflowProCountries1Array[i];
			} else {
				payflowProCountries1 = payflowProCountries1Array[i];
			}
		}
		set("payflowProCountries1", payflowProCountries1);
		String[] payflowProCountries2Array = (String[]) get("payflowProCountries2Array");
		String payflowProCountries2 = null;
		for (int i = 0; i < payflowProCountries2Array.length; i++) {
			if (i != 0) {
				payflowProCountries2 = payflowProCountries2 + "," + payflowProCountries2Array[i];
			} else {
				payflowProCountries2 = payflowProCountries2Array[i];
			}
		}
		set("payflowProCountries2", payflowProCountries2);
		String[] payflowProCountries3Array = (String[]) get("payflowProCountries3Array");
		String payflowProCountries3 = null;
		for (int i = 0; i < payflowProCountries3Array.length; i++) {
			if (i != 0) {
				payflowProCountries3 = payflowProCountries3 + "," + payflowProCountries3Array[i];
			} else {
				payflowProCountries3 = payflowProCountries3Array[i];
			}
		}
		set("payflowProCountries3", payflowProCountries3);
		String[] payflowProAuth1Array = (String[]) get("payflowProAuth1Array");
		String payflowProAuth1 = null;
		for (int i = 0; i < payflowProAuth1Array.length; i++) {
			if (i != 0) {
				payflowProAuth1 = payflowProAuth1 + "," + payflowProAuth1Array[i];
			} else {
				payflowProAuth1 = payflowProAuth1Array[i];
			}
		}
		set("payflowProAuth1", payflowProAuth1);
		String[] payflowProAuth2Array = (String[]) get("payflowProAuth2Array");
		String payflowProAuth2 = null;
		for (int i = 0; i < payflowProAuth2Array.length; i++) {
			if (i != 0) {
				payflowProAuth2 = payflowProAuth2 + "," + payflowProAuth2Array[i];
			} else {
				payflowProAuth2 = payflowProAuth2Array[i];
			}
		}
		set("payflowProAuth2", payflowProAuth2);
		String[] payflowProAuth3Array = (String[]) get("payflowProAuth3Array");
		String payflowProAuth3 = null;
		for (int i = 0; i < payflowProAuth3Array.length; i++) {
			if (i != 0) {
				payflowProAuth3 = payflowProAuth3 + "," + payflowProAuth3Array[i];
			} else {
				payflowProAuth3 = payflowProAuth3Array[i];
			}
		}
		set("payflowProAuth3", payflowProAuth3);
		String[] payflowProAuthArray = (String[]) get("payflowProAuthArray");
		String payflowProAuth = null;
		for (int i = 0; i < payflowProAuthArray.length; i++) {
			if (i != 0) {
				payflowProAuth = payflowProAuth + "," + payflowProAuthArray[i];
			} else {
				payflowProAuth = payflowProAuthArray[i];
			}
		}
		set("payflowProAuth", payflowProAuth);
		return getErrors();
	}

}
