package com.softslate.commerce.daos.administrator;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to roles.
 * 
 * @author David Tobey
 * 
 */
public interface RoleGatewayDAO extends DAOInterface {
	abstract Map loadRolesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteRoles(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
