<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start emailFormGuts.jsp -->
<html:hidden name="emailAddEditForm" property="parentIDField"/>
<html:hidden name="emailAddEditForm" property="parentOrderID"/>
<html:hidden name="emailAddEditForm" property="parentCustomerID"/>
<html:hidden name="emailAddEditForm" property="parentTemplateID"/>
<tr>
	<td class="property setting">Order ID:</td>
	<td class="value">
		<html:text name="emailAddEditForm" property="orderID" /> 
		<c:if test="${!empty emailAddEditForm.orderID and emailAddEditForm.orderID gt 0}">
			(<a href="OrderOverview.do?orderID=<c:out value="${emailAddEditForm.orderID}"/>">View Order</a>)
		</c:if>
	</td>
</tr>
<tr>
	<td class="property setting">Customer ID:</td>
	<td class="value">
		<html:text name="emailAddEditForm" property="customerID" /> 
		<c:if test="${!empty emailAddEditForm.customerID and emailAddEditForm.customerID gt 0}">
			(<a href="CustomerEditForm.do?customerID=<c:out value="${emailAddEditForm.customerID}"/>">View Customer</a>)
		</c:if>
	</td>
</tr>
<tr>
	<td class="property setting">Template ID:</td>
	<td class="value">
		<html:text name="emailAddEditForm" property="templateID" /> 
		<c:if test="${!empty emailAddEditForm.templateID and emailAddEditForm.templateID gt 0}">
			(<a href="TemplateEditForm.do?templateID=<c:out value="${emailAddEditForm.templateID}"/>">View Template</a>)
		</c:if>
	</td>
</tr>
<tr>
	<td class="property setting">Type:</td>
	<td class="value">
		<c:choose>
			<c:when test="${empty emailAddEditForm.emailID and empty emailAddEditForm.type}">
				<html:text styleClass="textbox" name="emailAddEditForm" property="type" value="Manual"/>
			</c:when>
			<c:otherwise>
				<html:text styleClass="textbox" name="emailAddEditForm" property="type"/>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<tr>
	<td class="property setting">To Emails:</td>
	<td class="value">
		<c:choose>
			<c:when test="${empty emailAddEditForm.emailID and empty emailAddEditForm.toEmails and !empty customer.email1}">
				<html:text styleClass="textbox" name="emailAddEditForm" property="toEmails" value="${customer.email1}"/>
			</c:when>
			<c:when test="${empty emailAddEditForm.emailID and empty emailAddEditForm.toEmails and !empty order.email1}">
				<html:text styleClass="textbox" name="emailAddEditForm" property="toEmails" value="${order.email1}"/>
			</c:when>
			<c:otherwise>
				<html:text styleClass="textbox" name="emailAddEditForm" property="toEmails"/>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<tr>
	<td class="property setting">Cc Emails:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="ccEmails"/></td>
</tr>
<tr>
	<td class="property setting">Bcc Emails:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="bccEmails"/></td>
</tr>
<tr>
	<td class="property setting">From Email:</td>
	<td class="value">
		<c:choose>
			<c:when test="${empty emailAddEditForm.emailID and empty emailAddEditForm.fromEmail and !empty settings.map.storeEmailAddress}">
				<html:text styleClass="textbox" name="emailAddEditForm" property="fromEmail" value="${settings.map.storeEmailAddress}"/>
			</c:when>
			<c:otherwise>
				<html:text styleClass="textbox" name="emailAddEditForm" property="fromEmail"/>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<tr>
	<td class="property setting">Subject:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="subject"/></td>
</tr>
<tr>
	<td class="property setting">Body HTML:</td>
	<td class="value">
		<html:textarea rows="10" name="emailAddEditForm" property="bodyHtml" styleClass="description"/>
		<c:if test="${!empty email.emailID and email.emailID > 0}">
			<br/>
			<script language="JavaScript" type="text/javascript">
				  $(document).ready(function() {
					    $("#bodyHtmlPreview${email.emailID}").dialog({ autoOpen: false, width: 800, height: 400 });
				  });
			</script>
			<a href="#" onclick="$('#bodyHtmlPreview${email.emailID}').dialog('open');return false;">View in Browser</a>
			<div id="bodyHtmlPreview${email.emailID}">
				<iframe style="width: 100%; height: 100%; border: none;" src="EmailBodyHtml.do?emailID=${email.emailID}"></iframe>
			</div>
		</c:if>
	</td>
</tr>
<tr>
	<td class="property setting">Body Text:</td>
	<td class="value"><html:textarea rows="10" name="emailAddEditForm" property="bodyText" styleClass="description"/></td>
</tr>
<tr>
	<td class="property setting">Created Time:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="createdTime"/></td>
</tr>
<tr>
	<td class="property setting">Send Time:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="sendTime"/></td>
</tr>
<tr>
	<td class="property setting">Last Action Time:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="lastActionTime"/></td>
</tr>
<tr>
	<td class="property setting">Status:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="status"/></td>
</tr>
<tr>
	<td class="property setting">Error Message:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="errorMessage"/></td>
</tr>
<tr>
	<td class="property setting">Last Event:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="lastEvent"/></td>
</tr>
<tr>
	<td class="property setting">Last Event Time:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="lastEventTime"/></td>
</tr>
<tr>
	<td class="property setting">Smtp Server:</td>
	<td class="value"><html:text styleClass="textbox" name="emailAddEditForm" property="smtpServer"/></td>
</tr>
<!-- End emailFormGuts.jsp -->
